Skip to main content
POST
/
purchase_order
/
get_single_bulk
Purchase Order - Get Single Bulk
curl --request POST \
  --url https://api.skulabs.com/purchase_order/get_single_bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": [
    "<string>"
  ],
  "fields": {},
  "options": {}
}
'
[
  {
    "_id": "507f1f77bcf86cd799439011",
    "number": "<string>",
    "status": "closed",
    "account_id": "<string>",
    "distributor_id": "<string>",
    "log": [
      {
        "user_id": "507f1f77bcf86cd799439011",
        "action": "<string>",
        "details": {},
        "time": "2025-01-15T12:00:00.000Z"
      }
    ],
    "items": [
      {
        "item_id": "<string>",
        "kit_id": "<string>",
        "sku": "<string>",
        "name": "<string>",
        "quantity": 123,
        "received": 123,
        "cost": 123,
        "rate": 123,
        "type": "item",
        "serial_numbers": [
          "<string>"
        ],
        "description": "<string>",
        "unit": "<string>"
      }
    ],
    "custom_items": [
      {}
    ],
    "custom_adjustments": [
      {
        "name": "<string>",
        "amount": 123
      }
    ],
    "tracking": [
      {}
    ],
    "subtotal": 123,
    "total": 123,
    "tax": 123,
    "tax_per": 123,
    "shipping": 123,
    "discount": 123,
    "due_date": "2025-01-15",
    "arrival_date": "2025-01-15",
    "closed_date": "2025-01-15",
    "metadata": {},
    "discount_per": 123,
    "tags": [
      "507f1f77bcf86cd799439011",
      "507f1f77bcf86cd799439012"
    ],
    "store_id": "507f1f77bcf86cd799439011",
    "warehouse_id": "<string>",
    "memo": "<string>",
    "currency": "<string>",
    "terms": "<string>",
    "method": "<string>",
    "order_number": "<string>",
    "dropship_address": {},
    "dropshipped": true,
    "bol_pro_numbers": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string[]
required

Array of purchase order IDs

fields
object

Projection fields object, e.g. { "name": 1 }

options
object

Additional options

Response

Multiple purchase orders

_id
string
required

Unique purchase order identifier

Example:

"507f1f77bcf86cd799439011"

number
string
required

PO number

status
enum<string>
required

PO status

Available options:
closed,
created,
receiving,
acknowledged,
sent,
edited,
transit,
accepting
account_id
string

Account ID

distributor_id
string

Distributor/vendor ID

log
object[]

Activity log entries

items
object[]

Line items

custom_items
object[]

Custom line items

custom_adjustments
object[]

Custom adjustments (fees, duties, etc.)

tracking
object[]

Tracking information

subtotal
number

Subtotal amount

total
number

Total amount

tax
number

Tax amount

tax_per
number

Tax percentage

shipping
number

Shipping cost

discount
number

Discount amount

due_date
string<date> | null

Due date

Example:

"2025-01-15"

arrival_date
string | null

Expected arrival date

Example:

"2025-01-15"

closed_date
string | null

Date the PO was closed

Example:

"2025-01-15"

metadata
object

Additional metadata

discount_per
number

Discount percentage

tags
string[]

Array of tag IDs (ObjectId strings referencing the tag collection)

Example:
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]
store_id
string

Associated store ID

Example:

"507f1f77bcf86cd799439011"

warehouse_id
string

Destination warehouse ID

memo
string | null

PO memo

currency
string

Currency code

terms
string | null

Payment terms

method
string | null

Payment method

order_number
string

Associated order number

dropship_address
object

Dropship address

dropshipped
boolean

Whether this PO is dropshipped

bol_pro_numbers
string[]

BOL/PRO numbers